<script lang="ts">
    export let label: string,
      name: string,
      value = '',
      required = false;
</script>

<label class="mb-3 lg:mb-5 block text-xl space-y-1 cursor-pointer">
    <span class="mb-1 lg:mb-1.5">{label}</span>
    <input bind:value={value} {required} {name} placeholder="email@example.com">
</label>

<style lang="postcss">
    input {
        @apply appearance-none transition duration-200 outline-none
        border-2 border-gray-300
        py-2 px-3 rounded-full w-full
        focus-within:border-blue-700 focus-within:bg-white;
    }
</style>